#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

int getline(char s[], int lim){
	int i, c;
	for (i=0; i<lim && (c=getchar()) != EOF && c != '\n'; ++i) {
		s[i] = c;
	}
	s[i] = '\0';
	return (i);
}


void main(void){
char s[128];
char sz[128];
int i,ok=1,h=0,db=0,j=0,n,q=0,k=0,z=0;	
	
printf("Adjon meg sorokat, min 1, max 20 karakterbol\n");
printf("A program megkeresi a sorban az elso 4jegyu szamot, majd kiirja a 4el osztva a maradekat\n");

do{
do{
h=getline(s,128);
if(h>0){ok=1;}
if(ok==0){
if(h<1 || h>20){ok=0; printf("Nem jo hosszusagu sor\n");}}
}while(ok!=1);

if(h>0){
if(ok==1){

	for(i=0;i<h;i++){
		db=0;
		j=0;	
		if(isdigit(s[i])){
			
			for(j=i;j<i+4;j++){
				if(isdigit(s[j])){db++;}
			}
			
						if(db==4){
						q++;
						
						if(q==1){
						sz[0]=s[i];
						sz[1]=s[i+1];
						sz[2]=s[i+2];
						sz[3]=s[i+3];
						sz[4]='\0';}}
					}
			}
if(db<4){printf("A sorban nem talalt egyetlen 4jegyu szamot sem!\n");}			
else{
printf("A keresett 4jegyu szam: %s\n" ,sz);	
n=atoi(sz);

z=n%4;
printf("A szam 4-el osztva %d maradekot ad\n",z);
}

}/*if zaro*/
}
}while(h!=0);

}


